/**
 *  Java GUI Tutorial 
 *  RadioButtonExample.java
 *
 *  @autor Gabor Nemeth, HUNGARY 2007
 *    
 *  Licence: free for non-commercial use
 *
 *  This is a sample program without guarantee and liability.
 *  
 *
 **/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class RadioButtonExample extends JFrame implements ItemListener {
  
  private Checkbox radio1;
  private Checkbox radio2;
  private Checkbox radio3;
 
  
  private JPanel colorPanel;
  private JPanel radioPanel;
  private JPanel mainPanel;
  
 
  public RadioButtonExample() {
    super( "RadioButtonExample" );
    this.setSize(300, 150);
    
    CheckboxGroup cbg = new CheckboxGroup();
    
    mainPanel = new JPanel();
    radioPanel = new JPanel();
    colorPanel = new JPanel();
    
    // add checkboxes to group
    radio1 = new Checkbox( "Red", cbg, true );
    radio2 = new Checkbox( "Green", cbg, false );
    radio3 = new Checkbox( "Blue", cbg, false );
    
    this.getContentPane().add(mainPanel);
    mainPanel.setLayout(new BoxLayout(mainPanel, BoxLayout.X_AXIS));
    radioPanel.setLayout(new BoxLayout(radioPanel, BoxLayout.Y_AXIS));
    radioPanel.add(radio1);
    radioPanel.add(radio2);
    radioPanel.add(radio3);
    
    mainPanel.add( radioPanel );
    mainPanel.add( colorPanel );
   
    colorPanel.setBackground( Color.RED );
    
    // add action listener
    radio1.addItemListener(this);
    radio2.addItemListener(this);
    radio3.addItemListener(this);
  }
  
  // event handling
  public void itemStateChanged(ItemEvent e) {
    // if radio1 radio button is checked, then the colorPanel's 
    // background will be red
    if ( e.getSource().equals( radio1 ) ) {
      colorPanel.setBackground(Color.RED);
    }
    
    // if radio2 radio button is checked, then the colorPanel's 
    // background will be green
    if ( e.getSource().equals( radio2 ) ) {
      colorPanel.setBackground(Color.GREEN);
    }
    
    // if radio3 radio button is checked, then the colorPanel's 
    // background will be blue
    if ( e.getSource().equals( radio3 ) ) {
      colorPanel.setBackground(Color.BLUE);
    }
  }
  
  
  public static void main( String[] args ) {
    RadioButtonExample frame = new RadioButtonExample();
    frame.setVisible( true );
    
    
    // this is an implementation of window listener
    // the program will be stopped if you close the main frame
    WindowListener listener = new WindowAdapter() {
      public void windowClosing(WindowEvent we) {
        System.exit(0);
      }
    };
    frame.addWindowListener(listener);
    
  }
  
}